#ifndef OBRAZGL_H
#define OBRAZGL_H
#include <QGLWidget>
#include <QMouseEvent>

class obrazGL : public QGLWidget{
  Q_OBJECT
      
  public:
    obrazGL(QWidget* parent=0);
    ~obrazGL();
  protected:
    void initializeGL();
    void paintGL();
    void resizeGL(int w,int h);
    void mousePressEvent(QMouseEvent *event);
    void mouseMoveEvent(QMouseEvent *event);
    void wheelEvent(QWheelEvent *event);
    QPoint mousePosition;
  private:
    int xRot;
    int yRot;
    int zRot;
    unsigned int speed;
    float zOdl;
    float angle;
    float anglespeed;
    void setBronze();
    void setEmerald();
    void setSilver();
    void setBlackRubber();
    void setDiffuse();
    void setAmbient();
    GLuint sfera;
    QTimer* timer;
  signals:
    void anglechanged(float,float);
  public slots:
 //   void energychanged(float);
    void angleadjusted(float,float);
  protected slots:
    void moveup();
    void renderSolidSphere(float,int,int);
};
#endif //OBRAZGL_H
